org.apache.lucene.spatial

## Class ShapeValuesSource

- java.lang.Object
- - org.apache.lucene.spatial.ShapeValuesSource

- All Implemented Interfaces:
    SegmentCacheable

      public abstract class ShapeValuesSource
      extends Object
      implements SegmentCacheable

  Produces `ShapeValues` per-segment

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeValuesSource()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ShapeValues` | `getValues(LeafReaderContext ctx)` Get a `ShapeValues` instance for the given leaf reader context

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.search.SegmentCacheable

      `isCacheable`

- - ### Constructor Detail

    - #### ShapeValuesSource

          public ShapeValuesSource()

  - ### Method Detail

    - #### getValues

          public abstract ShapeValues getValues(LeafReaderContext ctx)
                                         throws IOException

      Get a `ShapeValues` instance for the given leaf reader context
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.